Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Static Public Member Functions | Private Member Functions | List of all members
eZ\Publish\Core\FieldType\RichText\SearchField Class Reference

Indexable definition for RichText field type. More...

Inheritance diagram for eZ\Publish\Core\FieldType\RichText\SearchField:

## Public Member Functions
| getIndexData (Field $field, FieldDefinition $fieldDefinition)
| Get index data for field for search backend. More...
| getIndexDefinition ()
| Get index field types for search backend. More...
| getDefaultMatchField ()
| Get name of the default field to be used for matching. More...
| getDefaultSortField ()
| Get name of the default field to be used for sorting. More...

## Static Public Member Functions
static | extractShortText (DOMDocument $document)
| Extracts short text content of the given $document. More...

## Private Member Functions
| extractText (DOMNode $node)
| Extracts text content of the given $node. More...

## Detailed Description

Indexable definition for RichText field type.

Deprecated:
  since 7.4, use \EzSystems\EzPlatformRichText\eZ\FieldType\RichText\SearchField from EzPlatformRichTextBundle.

Definition at line 21 of file RichText/SearchField.php.

## Member Function Documentation

## ◆ extractShortText()

static eZ\Publish\Core\FieldType\RichText\SearchField::extractShortText | ( | DOMDocument | $document | ) |
| static

Extracts short text content of the given $document.

Only for use by RichText FieldType itself.

Parameters

  \DOMDocument | $document |

Returns
  string

Definition at line 81 of file RichText/SearchField.php.

Referenced by eZ\Publish\Core\FieldType\RichText\Type\getSortInfo().

## ◆ extractText()

eZ\Publish\Core\FieldType\RichText\SearchField::extractText | ( | DOMNode | $node | ) |
| private

Extracts text content of the given $node.

Parameters

  \DOMNode | $node |

Returns
  string

Definition at line 57 of file RichText/SearchField.php.

Referenced by eZ\Publish\Core\FieldType\RichText\SearchField\getIndexData().

## ◆ getDefaultMatchField()

eZ\Publish\Core\FieldType\RichText\SearchField::getDefaultMatchField | ( |  | ) |

Get name of the default field to be used for matching.

As field types can index multiple fields (see MapLocation field type's implementation of this interface), this method is used to define default field for matching. Default field is typically used by Field criterion.

Returns
  string

Implements eZ\Publish\SPI\FieldType\Indexable.

Definition at line 126 of file RichText/SearchField.php.

Referenced by eZ\Publish\Core\FieldType\RichText\SearchField\getDefaultSortField().

## ◆ getDefaultSortField()

eZ\Publish\Core\FieldType\RichText\SearchField::getDefaultSortField | ( |  | ) |

Get name of the default field to be used for sorting.

As field types can index multiple fields (see MapLocation field type's implementation of this interface), this method is used to define default field for sorting. Default field is typically used by Field sort clause.

Returns
  string

Implements eZ\Publish\SPI\FieldType\Indexable.

Definition at line 140 of file RichText/SearchField.php.

References eZ\Publish\Core\FieldType\RichText\SearchField\getDefaultMatchField().

## ◆ getIndexData()

eZ\Publish\Core\FieldType\RichText\SearchField::getIndexData | ( | Field | $field,
|  | FieldDefinition | $fieldDefinition
| ) |  |

Get index data for field for search backend.

Parameters

  \eZ\Publish\SPI\Persistence\Content\Field | $field |
  \eZ\Publish\SPI\Persistence\Content\Type\FieldDefinition | $fieldDefinition |

Returns
  \eZ\Publish\SPI\Search\Field[]

Implements eZ\Publish\SPI\FieldType\Indexable.

Definition at line 31 of file RichText/SearchField.php.

References eZ\Publish\Core\FieldType\RichText\SearchField\extractText().

## ◆ getIndexDefinition()

eZ\Publish\Core\FieldType\RichText\SearchField::getIndexDefinition | ( |  | ) |

Get index field types for search backend.

Returns
  \eZ\Publish\SPI\Search\FieldType[]

Implements eZ\Publish\SPI\FieldType\Indexable.

Definition at line 110 of file RichText/SearchField.php.

The documentation for this class was generated from the following file:

- RichText/SearchField.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.